Page MenuHomePhabricator

Page: namespace pages are now being recorded as transcluded on the Index: page rather than links
Closed, DeclinedPublic

Description

[I think that this has been happening for a couple of months, and it only just twigged to me the issue.]

Page: ns pages are now being considered transcluded on Index: ns pages

https://en.wikisource.org/w/index.php?title=Index:A_letter_to_the_Right_Hon._Chichester_Fortescue,_M.P._on_the_state_of_Ireland.djvu&action=edit

see the list of pages showing in the templates

or as viewed from a WhatLinksHere

The following pages link to Page:A letter to the Right Hon. Chichester Fortescue, M.P. on the state of Ireland.djvu/74:
View (previous 50 | next 50) (20 | 50 | 100 | 250 | 500)

Index:A letter to the Right Hon. Chichester Fortescue, M.P. on the state of Ireland.djvu (transclusion) ‎ (← links | edit)

If I step back to a work completed last September the pages are registered differently

https://en.wikisource.org/wiki/Index:On_an_Evolutionist_Theory_of_Axioms.djvu
(no page: ns links)

And from an individual page it shows as

The following pages link to Page:On an Evolutionist Theory of Axioms.djvu/26:
View (previous 50 | next 50) (20 | 50 | 100 | 250 | 500)

Index:On an Evolutionist Theory of Axioms.djvu ‎ (← links | edit)

This is problematic as we are now unable to easily identify which pages are transcluded, and which are not. utilising the pagechecking tool https://tools.wmflabs.org/checker/ (which I had been looking to get fixed as I hadn't properly identified the problem.)

It doesn't seem to make sense to see a page transcluded to an index page when they are not.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2017, 11:12 PM

https://en.wikisource.org/w/index.php?title=Index:On_an_Evolutionist_Theory_of_Axioms.djvu&action=edit has {{index transcluded|transcluded=yes}} in the "Table of Contents" text area. Is this relevant?

https://en.wikisource.org/w/index.php?title=Index:On_an_Evolutionist_Theory_of_Axioms.djvu&action=edit has {{index transcluded|transcluded=yes}} in the "Table of Contents" text area. Is this relevant?

That just shows that we have run a manual check and recorded that the work is completely transcluded, ie. used your tool to check. No template or "transcluded=no" means that a check needs to be done, or has been done and transclusion is not complete. [Noting that recently that check will have produced faulty data, and I will await when we had the issue identified to a date to work out what needs to be rechecked.]

Tpt added a subscriber: Tpt.Feb 27 2017, 7:57 AM

Yes, I have added these transclusions in early January to resolve task T114318. Using template dependencies is imho the right way to go because as the Index pages displays the proofreading quality of each page it transcludes some data from it. The other way to go would be to implement an other dependency tracking system and I am not sure that it's something we want to do (see how much time it took to have arbitrary Wikidata entity access with much more human power and a much more important need).

So I believe that in the current state one of T114318 or this one is a WONTFIX.

okay, we probably look to update documentation so that people know that whenever an index page is created that this transcludes the page, and this is what will show in the system, and that it is independent of whether the file exists or not.

I will ask MZMcBride very nicely if he is able to make changes to the checker tool so that the (default) check is only the main ns of the wiki with regard to the classifying and grouping of the transclusions.

Billinghurst closed this task as Declined.Feb 27 2017, 11:21 AM

given a choice of two, looking to resolve by amending the external tool

Billinghurst moved this task from Backlog to Done on the ProofreadPage board.Mar 5 2017, 2:02 AM